* January 12 2012 John Evans <john.g.evans.ne@gmail.com> -r3958
- No support for HDF4 on R14.
- Updated the README for official HDF4 stance.

* January 05 2012 John Evans <john.g.evans.ne@gmail.com> -r3953
- Fixed catch-and-rethrow error situation on win64, 2008a, HDF4 layer.
- Was not warning about bad missing value / fill value situations.
- Fixed some bad testing situations with win64, 2008a configuration.

* December 18 2011 John Evans <john.g.evans.ne@gmail.com> -r3939
- Added NC_VARGETR, a 'raw' version of NC_VARGET.
- Removed support for HDF4 STD SCALING preference.
- Fixed bug that crept in NC_VARPUT, mexnc layer.

* December 13 2011 John Evans <john.g.evans.ne@gmail.com> -r3925
- Fixed testing directory issues (hopefully!)  Now we run the tests
- from outside of the test directory.  Fixed additional tests for
- NC_DUMP.

* December 02 2011 John Evans <john.g.evans.ne@gmail.com> -r3916
- mexnc NC_INFO backend made consistent with others on default "Group" name.
- Fixed tabs/spaces NC_DUMP bug with enhanced datatypes.
- Labeling unrecognized datatypes as 'UNRECOGNIZED'.
- Some NC_DUMP testing improvements.

* November 25 2011 John Evans <john.g.evans.ne@gmail.com> -r3900
- Some improvements (hopefully) to NC_DUMP output readability.
- Fixed NC_DUMP bug on HDF4 backend.
- Refactored negative testing, removed some bad cases.

* November 13 2011 John Evans <john.g.evans.ne@gmail.com> -r3860
- Fixed bug in java layer where singleton dimensions were not being
- properly squeezed out.
- Major refactoring effort for NC_VARGET, NC_VARPUT
- Qualified only on R2008a, R2009b, R2010b, R2011a, R2011b
- Forcing double precision results for NC_VARGET where it makes sense.

* November 10 2011 John Evans <john.g.evans.ne@gmail.com> -r3826
- Fixed bug where column indices not gracefully handled.

* November 08 2011 John Evans <john.g.evans.ne@gmail.com> -r3820
- Added three argument syntax for NC_GETDIMINFO, NC_GETVARINFO.

* November 06 2011 John Evans <john.g.evans.ne@gmail.com> -r3816
- Requalified on R14 through 2011b both with and without java.

* October 26 2011 John Evans <john.g.evans.ne@gmail.com> -r3808
- Added some hdf5 support on 11a.

* October 11 2011 John Evans <john.g.evans.ne@gmail.com> -r3801
- Requalifying on all releases.

* October 9 2011 John Evans <john.g.evans.ne@gmail.com> -r3798
- Added proper fill value support on mexnc/netcdf-4.

* October 9 2011 John Evans <john.g.evans.ne@gmail.com> -r3792
- No longer allowing writing of uint16, uint32, uint64, int64 
- attributes to netcdf-4 classic files on 10a, 11b
- Splitting 2007b, 2008a mexnc backend from rest.

* September 26 2011 John Evans <john.g.evans.ne@gmail.com> -r3774
- Fixed java backend bug where not-existing variable condition was
- not being detected.

* September 26 2011 John Evans <john.g.evans.ne@gmail.com> -r3756
- Fixed tilda issue for R2008b.

* September 25 2011 John Evans <john.g.evans.ne@gmail.com> -r3750
- Refactored TMW NC_VARGET backend.

* September 23 2011 John Evans <john.g.evans.ne@gmail.com> -r3745
- Fixed java char-vs-string issue plaguing NC_INFO.

* September 22 2011 John Evans <john.g.evans.ne@gmail.com> -r3742
- Restricting said enhanced model datatypes to 2011b, as 2011a 
- seems to work ok only on maci.

* September 17 2011 John Evans <john.g.evans.ne@gmail.com> -r3737
- Added support simple enhanced model datatypes, 2011ab only.
- Added generic 'NetCDF' format field for 10a and below.
- Fixed HDF4 write backend determination for 11a.

* September 06 2011 John Evans <john.g.evans.ne@gmail.com> -r3701
- Added HDF4 SD write backend for 2011b.

* August 25 2011 John Evans <john.g.evans.ne@gmail.com> -r3688
- Fixed R14 issue with strings.

* August 21 2011 John Evans <john.g.evans.ne@gmail.com> -r3683
- Fixed a testing issue for opendap data.

* August 20 2011 John Evans <john.g.evans.ne@gmail.com> -r3679
- Support added for reading NC_STRING variables and attributes.
- Lots of refactoring in private directory, mostly java backend.

* July 25 2011 John Evans <john.g.evans.ne@gmail.com> -r3623
- Fixed test problem on 10a and below introduced in r3619

* July 24 2011 John Evans <john.g.evans.ne@gmail.com> -r3619
- Added NaN missing_value and NaN fill_value tests.
- Fixed some typos.
- Clarified a few statements about fill values.

* July 21 2011 John Evans <john.g.evans.ne@gmail.com> -r3609
- Tentatively abstracting out GETPREF on PRESERVE_FVD to being mostly a
- persistent variable operation.  Nearly doubles the speed.

* July 06 2011 John Evans <john.g.evans.ne@gmail.com> -r3603
- Added test check as to whether we can find SNCTOOLS, MEXNC.

* July 03 2011 John Evans <john.g.evans.ne@gmail.com> -r3599
- Properly erroring out if NC_VARRENAME used with HDF4.

* June 24 2011 John Evans <john.g.evans.ne@gmail.com> -r3597
- Fixed incorrect usage of inqFormat in NC_ATTPUT_TMW.

* June 23 2011 John Evans <john.g.evans.ne@gmail.com> -r3595
- Removed some test dependencies on error IDs.
- Added 2011a HDF4 backend for NC_INFO routine.
- Fixed bad parameter to an ERROR call.
- Removed newlines from private hdf4 routine ERROR call sites.

* June 17 2011 John Evans <john.g.evans.ne@gmail.com> -r3583
- Moved mexnc and hdf4 NC_ADDVAR backends into private directory.
- Fix for bad fill value handling on netcdf-4.  Improves interoperability.
- Fixed NC_ATTPUT to handle UINT8 attributes correctly on netcdf-4 (typecast
- them).

* June 14 2011 John Evans <john.g.evans.ne@gmail.com> -r3562
- Fixed tilda issue in HDF4 backend for older releases

* June 12 2011 John Evans <john.g.evans.ne@gmail.com> -r3559
- Added 2011a HDF4 backend for read routines.

* May 24 2011 John Evans <john.g.evans.ne@gmail.com> -r3551
- Removed USE_MEXNC preference on R14 thru R2008a.  First choice now is
- to try mexnc and then to fall back to java if mex-file not available.

* May 22 2011 John Evans <john.g.evans.ne@gmail.com> -r3547
- Removed more PERSISTENT relics.

* May 18 2011 John Evans <john.g.evans.ne@gmail.com> -r3543
- Fixed HDF4 backend bug.
- Removed some GETPREF call sites.

* May 18 2011 John Evans <john.g.evans.ne@gmail.com> -r3538
- Removed persistent variables scheme for handling preferences.
- USE_JAVA preference has been removed.
- USE_MEXNC preference is only retrieved when < R2008b.

* May 09 2011 John Evans <john.g.evans.ne@gmail.com> -r3527
- Change preference handling to use persistent variables.

* May 06 2011 John Evans <john.g.evans.ne@gmail.com> -r3522
- Added better indication of known MATLAB bugs in test suite.

* Apr 21 2011 John Evans <john.g.evans.ne@gmail.com> -r3519
- Fixed some HDF4 testing issues. 

* Apr 16 2011 John Evans <john.g.evans.ne@gmail.com> -r3514
- Fixed fallout issue when PRESERVE_FVD preference was false.

* Apr 13 2011 John Evans <john.g.evans.ne@gmail.com> -r3511
- NC_GETBUFFER and NC_ADDRECS now work with Name/Data structures.

* Apr 07 2011 John Evans <john.g.evans.ne@gmail.com> -r3507
- Removed one more negative 2007a testpoint, this time from 
- nc_varget/opendap.

* Apr 05 2011 John Evans <john.g.evans.ne@gmail.com> -r3506
- Changed test_nc_varget to use FILESEP instead.

* Sun Mar 27 2011 John Evans <john.g.evans.ne@gmail.com> -r3504
- Adopted Gerben de Boer's suggestions for NC_GETALL.

* Wed Mar 23 2011 John Evans <john.g.evans.ne@gmail.com> -r3503
- Refactored private/snc_readbackend to make one error message clearer.
- No longer allowing for mexnc on post-2008b netcdf-3 for any reason.
- Removed 2007a from negative testing again.

* Mon Feb 28 2011 John Evans <john.g.evans.ne@gmail.com> -r3499
- Added enhanced model read support for java backend.

* Sun Feb 27 2011 John Evans <john.g.evans.ne@gmail.com> -r3491
- Added some introspection to private/snc_read_backend and 
-     private/snc_format, suggested by Gerben de Boer.

* Sun Jan 16 2011 John Evans <john.g.evans.ne@gmail.com> -r3484
- Simplified some private HDF4 backend functions.
- Printing message if HDF4 testing not enabled.
- Renamed private function NC_INFO_TMW_HDF4 to NC_INFO_HDF4.

* Sat Jan 15 2011 John Evans <john.g.evans.ne@gmail.com> -r3481
- Changed NC_ISUNLIMITEDVAR to pivot on backend rather than matlab version.

* Thu Jan 13 2011 John Evans <john.g.evans.ne@gmail.com> -r3480
- Simplified index argument validation for NC_VARPUT.
- Abstracted NC_ADDDIM mexnc and hdf4 backends to private directory.

* Thu Jan 06 2011 John Evans <john.g.evans.ne@gmail.com> -r3478
- java/http testing is now an opt-in.

* Wed Jan 05 2011 John Evans <john.g.evans.ne@gmail.com> -r3476
- Fixed empty HDF4 file bug with NC_DUMP.
- HDF4 testing is now an opt-in.

* Thu Dec 30 2010 John Evans <john.g.evans.ne@gmail.com> -r3467
- Fixed missing R13 case in private/snc_write_backend

* Fri Dec 24 2010 John Evans <john.g.evans.ne@gmail.com> -r3454
- Remove private/nc_add_dimension.m as it is no longer called.
- Was forgetting to close the file handle in NC_GETALL/tmw.
- Fixed unclosed file handle issue in NC_ATTGET for enhanced
-     model files.

* Mon Dec 20 2010 John Evans <john.g.evans.ne@gmail.com> -r3442
- fixed error in NC_ISUNLIMITEDVAR for HDF4 backend, pre 2007b.
- Changing the HTTP URL used in the testing to UMaine one. 

* Sat Dec 18 2010 John Evans <john.g.evans.ne@gmail.com> -r3432
- No longer returning "Attnum" via netcdf or mexnc.  It's not important.
- Attribute values returned via NC_INFO/java are now returned as rows, 
-     same as tmw and mexnc.
- Added opendap/local system-level test (thanks Gerben!)
- Fixed hdf4 bug with NC_ADDRECS
- Subsumed private/get_varinfo_tmw.m into private/nc_getvarinfo_tmw

* Thu Dec 16 2010 John Evans <john.g.evans.ne@gmail.com> -r3409
- Updated grib2 testing for netcdfAll-4.2.jar

* Wed Dec 15 2010 John Evans <john.g.evans.ne@gmail.com> -r3407
- Fixed bug in backend selection for writing.

* Tue Nov 30 2010 John Evans <john.g.evans.ne@gmail.com> -r3368
- Fixed preference bug in test suite.

* Mon Nov 29 2010 John Evans <john.g.evans.ne@gmail.com> -r3367
- Merged backend_testing branch into trunk, new test strategy.
- Fixed bug in NC_DUMP where deflate information printed out
-     on netcdf-3 files.
- Updated README for new pre-R2008b instructions.

* Wed Nov 24 2010 John Evans <john.g.evans.ne@gmail.com> -r3347
- Qualified java read-only testing on R14.
- Fixed one test file that was masquerading with wrong format.

* Sun Nov 21 2010 John Evans <john.g.evans.ne@gmail.com> -r3344
- Fixed HDF4 bug in NC_INFO where file had no datasets.
- Forcing fill values to be the correct type when writing.  This
-     is really only a problem with netcdf-3.
- Tests updated for java read-only configuration on 6a, 7a, 8a.

* Sat Nov 20 2010 John Evans <john.g.evans.ne@gmail.com> -r3328
- Reorganized testing around backends.

* Fri Nov 12 2010 John Evans <john.g.evans.ne@gmail.com> -r3302
- Fixed bad example in NC_ADDVAR.
- Fixed bug in NC_DUMP where deflate level wasn't being printed.

* Fri Oct 30 2010 John Evans <john.g.evans.ne@gmail.com> -r3297
- Improved deprecation language in unrecommended functions.
- Fixed NC_ATTPUT, NC_ADDDIM examples.  
- Added some examples to some less prominent functions.

* Mon Oct 25 2010 John Evans <john.g.evans.ne@gmail.com> -r3256
- Added netcdf-java as read-only configuration.

* Thu Oct 07 2010 John Evans <john.g.evans.ne@gmail.com> -r3244
- Added opendap authentication.

* Tue Sep 28 2010 John Evans <john.g.evans.ne@gmail.com> -r3238
- Modified new netcdf-4 datatype descriptions.
- Added a better error message for invalid classic model datatypes.

* Mon Sep 13 2010 John Evans <john.g.evans.ne@gmail.com> -r3237
- Fixed tests such that no shipping test file is modified.
- Improved wording upon completion of testing.

* Fri Sep 10 2010 John Evans <john.g.evans.ne@gmail.com> -r3234
- Fixed some negative tests for error IDs when not using IGNOREEIDS

* Sun Sep 05 2010 John Evans <john.g.evans.ne@gmail.com> -r3230
- Updated for R2010b and native netCDF-4 support!

* Sat Aug 13 2010 John Evans <john.g.evans.ne@gmail.com> -r3205
- Added examples directory.  Added Gerben de Boer's curvilinear tutorial.

* Sat Aug 13 2010 John Evans <john.g.evans.ne@gmail.com> -r3197
- Fixed NC_VARGET such that strides work with negative count.

* Mon Jul 12 2010 John Evans <john.g.evans.ne@gmail.com> -r3192
- Fixed bad nc_varget negative test for opendap.
- Changed ordering in snc_read_backend to prevent java bug.
- Added check for negative dimensions.

* Thu Jul 08 2010 John Evans <john.g.evans.ne@gmail.com> -r3184 
- Added support for int64 and uint64 datatypes for attributes.
- Added blurb in README and at end of test suite for preferences.

* Tue June 15 2010 John Evans <john.g.evans.ne@gmail.com> -r3168 
- Reworked test suite so that it can be run on 2007a, 2006b  

* Sat May 29 2010 John Evans <john.g.evans.ne@gmail.com>  -r3135
- Fixed tmw case where missing value, fill value attribute datatype was
- wrong.  This would result in nc_varget, nc_varput failing to do 
- anything useful.  Correct thing to do is to continue to read or write, 
- but warn the user.  Thanks to Aaron Luttman and Ryan Neely for bringing 
- this to my attention.
- Added option to concatenate with NC_CAT by N records at a time.

* Mon May 24 2010 John Evans <john.g.evans.ne@gmail.com>  -r3122
- Cleaned up help in NC_ADDDIM, NC_ADDVAR
- Added more testing for NC_CAT.  
- Automatically determining the name of the record variable in NC_ADDNEWRECS

* Sun May 23 2010 John Evans <john.g.evans.ne@gmail.com> -r3116
- Added testing for NC_CAT
- Added HDF4 support for NC_ISVAR

* Sat May 22 2010 John Evans <john.g.evans.ne@gmail.com> -r3112
- Added NC_CAT, deprecating NC_CAT_A.
- Some documentation cleanup of NC_ADDRECS and NC_ADDNEWRECS.

* Mon May 17 2010 John Evans <john.g.evans.ne@gmail.com> -r3104
- Integrated Gerben de Boer's suggested changes.
- allow nc_dump to file directly 
- transpose vectors (1xn & nx1) so they always fit into a column.
- remember full path in nc_info (so you can pass it on as file handle)
- Handling empty attribute bug in TMW (609383)
- Now printing status of PRESERVE_FVD preference.

* Thu May 13 2010 John Evans <john.g.evans.ne@gmail.com> -r3085
- Removing all but one call to retrieve PRESERVE_FVD setting in NC_ADDRECS.
- Updated nc_addnewrecs testing for HDF4
- Must delete an HDF4 file if it already exists.
- Updated help for NC_ADDVAR.

* Wed May 12 2010 John Evans <john.g.evans.ne@gmail.com>  -r3080
- NC_ADDDIM, NC_INFO, NC_VARPUT no longer deal with dimension scales

* Mon May 03 2010 John Evans <john.g.evans.ne@gmail.com> -r3071
- Fixed bug where unlimited HDF variable sizes weren't reported correctly.

* Sat May 01 2010 John Evans <john.g.evans.ne@gmail.com> -r3066
- Deprecated NC_ADD_RECS in favor of NC_ADDRECS.

* Wed Apr 22 2010 John Evans <john.g.evans.ne@gmail.com> -r3054
- Added NC_ISATT.
- Fixed two broken HTTP tests.

* Sun Apr 18 2010 John Evans <john.g.evans.ne@gmail.com> -r3045
- Added native write support for HDF4 pre-defined functions for
- writing dimstrs, valid range attributes.

* Fri Apr 16 2010 John Evans <john.g.evans.ne@gmail.com>  -r3036
- Added read/write HDF4 support.
- Consolidated determination of file formats. 
- Grib files now report themselves as GRIB instead of netcdf-java.
- Minor readability change to the README.
- private/snc_read_backend.m now reports the backend to be used.  This
-   will change to the particular format flavor in the future.
- NC_INFO now returns the backend used to read the file.
- NC_DUMP now prints the backend used to read the file.
- Updated test_nc_dump for backend reporting.
- Fixed NC_VARPUT testing so as to not modify the supplied test file.
- Deprecated nc_varsize in favor of nc_getvarinfo, removed from Contents.m

* Sat Apr 03 2010 John Evans <john.g.evans.ne@gmail.com> -r3003
- Starting hdf4 read support.
- Deprecating nc_add_dimension in favor of nc_adddim.

* Sun Mar 28 2010 John Evans <john.g.evans.ne@gmail.com> -r2975
- Improved examples, documentation.

* Thu Mar 24 2010 John Evans <john.g.evans.ne@gmail.com> -r2969
- Added grib2 support in java testing, instructions in README.
- Defaulting to java for read support when java is enabled and all else
- has failed.
- Some readabilty improvements.

* Thu Mar 18 2010 John Evans <john.g.evans.ne@gmail.com> -r 2945
- Updated help for nc_add_dimension, nc_addvar, nc_addnewrecs.

* Sun Mar 14 2010 John Evans <john.g.evans.ne@gmail.com> -r 2934
- Changed nc_attput_tmw, nc_getdiminfo_tmw, nc_varrename_tmw to 
- guarantee the file ID is closed in case of an error.

* Sat Mar 13 2010 John Evans <john.g.evans.ne@gmail.com> -r2931
- finished nc_varput test cleanup
- fixed bug in nc_varget_tmw where file IDs weren't always being closed
- cleaned up snc2mat tests
- fixed mlint issues in test driver
- cleaned up nc_attget tests

* Fri Mar 12 2010 John Evans <john.g.evans.ne@gmail.com> 
- Continuing to work on nc_varput tests.

* Thu Mar 11 2010 John Evans <john.g.evans.ne@gmail.com> 
- Continuing to work on nc_varput, nc_varrename tests.

* Wed Mar 10 2010 John Evans <john.g.evans.ne@gmail.com> 
- Continuing to work on nc_varput tests.

* Tue Mar 09 2010 John Evans <john.g.evans.ne@gmail.com> -r 2919
- Continuing to work on nc_varput tests.
- Fixed case where bad indices on singleton variables did not error out.

* Sat Mar 06 2010 John Evans <john.g.evans.ne@gmail.com> -r 2912
- Continuing to work on nc_varput tests.

* Thu Mar 04 2010 John Evans <john.g.evans.ne@gmail.com> 
- Error fixed in nc_varput_tmw where file ID being incorrectly closed.
- Continuing to work on nc_varput tests.

* Tue Mar 02 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed mlint issues in test_nc_isunlimited

* Sun Feb 27 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed mlint issues in test_nc_varget, test_nc_iscoordvar, nc_varsize

* Sat Feb 27 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed mlint issues in test_nc_get_varinfo, test_nc_info

* Thu Feb 25 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed mlint issues in test_nc_get_buffer

* Wed Feb 24 2010 John Evans <john.g.evans.ne@gmail.com> -r 2887
- Fixed mlint issues in test_nc_get_all
- Fixed bug in test_nc_isvar introduced by mlint work.

* Tue Feb 23 2010 John Evans <john.g.evans.ne@gmail.com> -r 2886
- Fixed mlint issues in test_nc_diff

* Mon Feb 22 2010 John Evans <john.g.evans.ne@gmail.com> -r 2885
- Fixed mlint issues in test_nc_addvar, test_nc_attput, nc_cat_a,
-     nc_datatype_string
- Moved deprecation of nc_archive_buffer a bit further along.
- Removed testing for nc_archive_buffer

* Sun Feb 21 2010 John Evans <john.g.evans.ne@gmail.com> -r 2878
- Fixed mlint issues in test_nc_add_dimension
- Fixed some mlint issues in test_nc_add_recs, test_nc_addnewrecs

* Wed Feb 17 2010 John Evans <john.g.evans.ne@gmail.com> -r 2872
- Fixed mlint issues in test_nc_getdiminfo

* Wed Feb 17 2010 John Evans <john.g.evans.ne@gmail.com> -r 2871
- Fixed some more minor mlint issues in various test files.
- Fixed char mode being supplied to nc_create_empty

* Tue Feb 16 2010 John Evans <john.g.evans.ne@gmail.com> -r 2866
- Fixed some minor mlint issues in various files.

* Wed Feb 3 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed tmw nc_attget case again.

* Wed Jan 27 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed tmw nc_attget case so that the open/close is out of try/catch

* Sun Jan 17 2010 John Evans <john.g.evans.ne@gmail.com> -r2850
- Fixed scale factor / fill value order of operations, thanks to Bruce
- Lipphardt.

* Thu Jan 14 2010 John Evans <john.g.evans.ne@gmail.com> -r2834
- Updated for netcdf-4 capabilites in mexnc

* Mon Dec 21 2009 John Evans <john.g.evans.ne@gmail.com> -r2821
- Removed nargin check from NC_DUMP

* Mon Dec 21 2009 John Evans <john.g.evans.ne@gmail.com> -r2811
- More modifications in support of Gerben's changes.

* Sun Dec 20 2009 John Evans <john.g.evans.ne@gmail.com> -r2809
- Added Gerben de Boer's suggested test suite changes.
- Fixed one bad assumption in HDF5 testing.

* Thu Oct 22 2009 John Evans <john.g.evans.ne@gmail.com> -r2802
- More tweaks for HDF5 interface.  Still experimental, though.

* Thu Oct 22 2009 John Evans <john.g.evans.ne@gmail.com> -r2793
- First crack at NC-4 support via HDF5 interface.

* Thu Oct 22 2009 John Evans <john.g.evans.ne@gmail.com> -r2791
- Made Contents.m clickable

* Sat Aug 01 2009 John Evans <john.g.evans.ne@gmail.com> -r2784
- Changed default DODS URL to use with opendap testing

* Thu Jul 30 2009 John Evans <john.g.evans.ne@gmail.com> -r2782
- Added capability of passing open java file handles to many reader routines.

* Mon Jun 29 2009 John Evans <john.g.evans.ne@gmail.com>
- Removed java logging suppression, it's no longer needed.

* Fri Jun 26 2009 John Evans <john.g.evans.ne@gmail.com>
- Cleaned up some NC_DUMP tests.

* Tue Jun 23 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed HTTP support in NC_GETVARINFO
- Tentatively adding some NC4-HDF5 support for NC_VARGET, NC_ATTGET

* Wed Jun 17 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed missing_value datatype issue in R2008b.

* Mon Jun 15 2009 John Evans <john.g.evans.ne@gmail.com>
- Mentioned in README that R13 and below not supported.

* Mon May 04 2009 John Evans <john.g.evans.ne@gmail.com>
- Wrong switch statement case for R14 in test function.

* Fri May 01 2009 John Evans <john.g.evans.ne@gmail.com>
- Found unsubmitted change in nc_varget for R2008b

* Thu Apr 30 2009 John Evans <john.g.evans.ne@gmail.com>
- Merged R2007a changes into R2008a main.

* Wed Apr 29 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed some more test functions for R2007a testing.

* Tue Apr 28 2009 John Evans <john.g.evans.ne@gmail.com>
- Moved some internal functions into private directory to prevent 
- R2006b from complaining about 2008b code.

* Fri Apr 24 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed NC_VARGET bug, datatype conversion was not happening if scaling
- Fixed NC_VARGET mexnc bug on R2006a.

* Fri Apr 17 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed text-file method in NC_CAT_A

* Mon Apr 13 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed mlint issues in private directory.
- Fixed mlint issues in NC_INFO.

* Fri Apr 10 2009 John Evans <john.g.evans.ne@gmail.com>
- Removed duplicate NC_WRITE_MODE (it's already in mexnc).
- Removed duplicate NC_CLOBBER_MODE (it's already in mexnc).
- Fixed mlint issues in SNC2MAT.

* Wed Apr 01 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed mlint issues in NC_GETBUFFER.
- Fixed mlint issues in NC_GETDIMINFO.
- Fixed mlint issues in NC_GETLAST.
- Fixed nargchk, nargchkout 3 vs 4 input args issue for all functions.

* Tue Mar 31 2009 John Evans <john.g.evans.ne@gmail.com>
- Fixed mlint issues in NC_DIFF.
- Removed duplicated NC_DOUBLE (it's already in mexnc).
- Removed duplicated NC_FLOAT (it's already in mexnc).
- Removed duplicated NC_GLOBAL (it's already in mexnc).
- Removed duplicated NC_INT (it's already in mexnc).
- Removed duplicated NC_SHORT (it's already in mexnc).

* Wed Mar 25 2009 John Evans <john.g.evans.ne@gmail.com>
- Cleaned up all mlint warnings for NC_VARPUT.
- Cleaned up all mlint warnings for NC_CREATE_EMPTY
- Cleaned up all mlint warnings for NC_DATATYPE_STRING

* Fri Mar 19 2009 John Evans <john.g.evans.ne@gmail.com> - 2.9.10
- Pooched the 2.9.8 and 2.9.9 release, jumping to 2.9.10
- Cleaned up all mlint warnings for NC_VARPUT.
- Cleaned up all mlint warnings for NC_ADD_DIMENSION
- Cleaned up all mlint warnings for NC_ADDHIST
- Cleaned up all mlint warnings for NC_ADD_RECS
- Cleaned up all mlint warnings for NC_ADDNEWRECS
- Cleaned up all mlint warnings for NC_ARCHIVE_BUFFER
- Cleaned up all mlint warnings for NC_ATTPUT
- Cleaned up all mlint warnings for NC_CREATE_EMPTY
- Added SNC_WRITE_BACKEND private function.
 
* Thu Mar 18 2009 John Evans <john.g.evans.ne@gmail.com>  
- Cleaned up all mlint warnings for NC_VARGET.
- Cleaned up all mlint warnings for NC_INFO.
- Cleaned up all mlint warnings for NC_GETVARINFO.
- Abstracted out read_backend determination for NC_VARGET.
- Abstracted out read_backend determination for NC_INFO.
- Abstracted out read_backend determination for NC_GETVARINFO.
- Abstracted out read_backend determination for NC_GETDIMINFO.
- Moved all subfunction in NC_GETVARINFO into private directory.
- Fixed bug in NC_ADDNEWRECS where PRESERVE_FVD preference 
- was not being used.


* Tue Feb 17 2009 John Evans <john.g.evans.ne@gmail.com>  - 2.9.7
- Fixed flipped variable sizes error in NC_VARGET in case of -1 in count
-     argument.
- Better function names in test_nc_varget.m
- Added regression test test_regressionNegSize to test_nc_varget.m
- Fixed private/snctools_use_java to make use of preference.
- Fixed mlint issues in NC_VARGET.
- Split nc4 tests in test_nc_attget

* Tue Feb 10 2009 John Evans <john.g.evans.ne@gmail.com> - 2.9.6

* Thu Jan 08 2009 John Evans <john.g.evans.ne@gmail.com> 
- Added path instructions to the README.

* Wed Dec 24 2008 John Evans <john.g.evans.ne@gmail.com> - 2.9.5
- Forcing NC_VARGET default preferences to all be false.
- Some methods were being incorrectly chosen.

* Sat Dec 06 2008 John Evans <john.g.evans.ne@gmail.com> 
- nargchk and nargchkout needed to be enclosed by error in NC_INFO 

* Mon Dec 01 2008 John Evans <john.g.evans.ne@gmail.com> 2.9.4 
- 2.9.4 release

* Mon Nov 02 2008 John Evans <john.g.evans.ne@gmail.com> 2.9.1 
- Updated for R2008b

* Mon May 19 2008 John Evans <john.g.evans.ne@gmail.com> 2.5.8 -r2513
- Suppressed annoying log4j warnings in java.

* Mon May 05 2008 John Evans <john.g.evans.ne@gmail.com> 2.5.7 
- Fixed singleton leading dimension issue in NC_ADDNEWRECS

* Fri Jan 04 2008 John Evans <john.g.evans.ne@gmail.com> 2.5.6 
- Added the URL string to error messages in case the URL was wrong.
- Added regression test point for this.
- Fixed NC_GETDIMINFO for case where MEXNC not available.

* Wed Nov 28 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.5 
- Fixed a regression, java http access was broken.
- Added test for http access, triggered via TEST_HTTP preference.

* Tue Nov 13 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.4
- Resyncing sourceforge, previous release was botched.

* Tue Nov 13 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.3
- Added java support to NC_GETDIMINFO

* Tue Nov 13 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.2
- Changed NC_GETDIMINFO back to a public function.
- Removed usage of private function SNC_IS_URL

* Mon Nov 12 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.1
- Had whacked the README file with the new NEWS file, resurrected it.
- Added more to the instructions.

* Sun Nov 11 2007 John Evans <john.g.evans.ne@gmail.com> 2.5.0
- Changed NC_GETDIMINFO into a private function.
- Added a testdata directory.
- Refactored the test suite.
- No longer using try/catch in the java retrievals, makes for better error messages.
- Fixed NC_ISCOORDVAR bug where extra dimensions were not being checked.  Bad....
- Fixed NC_ISUNLIMITED bug where errors were issued when it should have returned false.

* Thu Nov 08 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.11
- Improved test suite to handle cases where java not enabled.

* Fri Oct 26 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.10
- Improved the help section for NC_ATTGET for global attributes.

* Tue Oct 23 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.9
- NC_VARGET and NC_ATTGET can take zero input arguments now.
- NC_VARGET was calling wrong output argument count validator.

* Thu Oct 11 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.8
- Lied about the 2.4.7 fix to NC_VARGET.  Added fix for mex file here.
- Added a bunch of helper m-files from MEXNC.

* Thu Oct 11 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.7
- Made post R14 action the default for snc_nargchk, snc_nargoutchk, snc_error
- Not checking for earlier releases.  Nobody is running R11 anymore, right?
- Removed bad index check for nc_varget.
- Relaxed extent checking for nc_varput.
- Renamed CHECK_INDEX_VECTORS to VALIDATE_INDEX_VECTORS.
- Had fixed only the java case in 2.4.6.  Added fix for mex file here.
- Added TEST_REMOTE preference so that we can optionally test remote servers.
-

* Wed Oct 03 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.6
- Fixed a conflict between _FillValue and "missing_value" in NC_VARGET.  

* Fri Sep 21 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.5
- Fixed a very bad bug wrt NC_VARPUT and attribute types.  

* Fri Sep 21 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.4
- Backed out of INDEXING preference for now.
- Fixed an nc_addnewrecs bug, having to do with empty record variables.
- Java tests only run if JVM is enabled.

* Thu Sep 06 2007 John Evans <john.g.evans.ne@gmail.com> 
- Support added for INDEXING preference.

* Tue Sep 03 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.3
- Changed NC_VARGET_JAVA, NC_ATTGET_JAVA, and NC_INFO_JAVA to work with
non-DODS URLS

* Mon Sep 03 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.2
- Had not removed all instances of "Record_Variable" and "IsUnlimited" in NC_GETDIMINFO
- Changed warning ID in PRIVATE/NC_ATTGET_JAVA
- Some warnings were not being caught in TEST_NC_ATTGET_ATTPUT

* Mon Sep 03 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.1
- Got rid of NEWS file.  More trouble than it's worth.

* Mon Sep 03 2007 John Evans <john.g.evans.ne@gmail.com> 2.4.0
- Removed nc_getmethod.  The USE_JAVA preference works in its place.
- Many functions refactored.
- Reworked the error IDs.
- New private functions for handling errors.
- "DataSet" changed to "Dataset" in NC_INFO
- The "IsUnlimitedVariable" boolean has been renamed "Unlimited" in NC_GETVARINFO
- nc_getdiminfo no longer provides "Dimid".  
- nc_getdiminfo now provides "Unlimited" intead of "Record_Dimension".
- nc_getvarinfo now provides "Unlimited" instead of "IsUnlimitedVariable".
- Removed dependence of nc_varget, nc_varput on nc_datatype_string
- NC_ADDHIST no longer handles variable history attributes.

* Wed Aug 8 2007 John Evans <john.g.evans.ne@gmail.com> 2.3.16
- Leading underscores in attribute names are replaced with 'SNCTOOLS'

* Fri Jul 20 2007 John Evans <john.g.evans.ne@gmail.com> 2.3.15
- Relaxed nc_varput requirement for ranks on account of singleton dims.
- Relaxed rank check in nc_addnewrecs for singleton dims.

* Fri Jul 20 2007 John Evans <john.g.evans.ne@gmail.com> 2.3.14
- Added testpoint for scaling with single precision scale factor.

* Tue Jul 17 2007 John Evans <john.g.evans.ne@gmail.com> 2.3.13
- Fixed typo in nc_varget that ruins an error message.
- Improved help section in nc_attget, nc_attput.

* Wed Nov 01 2007 John Evans <john.g.evans.ne@gmail.com> 2.3.12
- Readability improvements to nc_varget_java
- Fixed testing bug where some release version numbers not acquired.

* Fri Oct 27 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.11

* Thu Oct 26 2006 John Evans <john.g.evans.ne@gmail.com> 
- Improved error messages, some removal of confusing code in nc_varput

* Fri Oct 20 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.10
- Better error message in nc_varput if data rank ~= variable rank

* Thu Oct 12 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.9
- Added missing_value support to nc_varget, improved the help section.

* Mon Oct 09 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.8
- Undid some mlint recommendations for R12 considerations.

* Fri Sep 29 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.7
- Fixes related to java that make the test suite run on R13

* Thu Sep 28 2006 John Evans <john.g.evans.ne@gmail.com> 
- mexnc requirements stated for nc_padheader

* Thu Sep 21 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.6
- Fixed rethrow error in nc_varget
- Fixed bad error statement in nc_getvarinfo
- Deferred file close statement until the end of nc_info.

* Mon Sep 18 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.5
- Organized all testing into functions.
- Added SVN banner to test suite m-files.
- Clarified error message in nc_addnewrecs.m
- Clarified usage of java in the README file.

* Thu Sep 07 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.4
- Fixed erroneous help section on nc_create_empty.m.  Added example.
- Added warning in nc_addvar for unrecognized fieldnames.  
- Fixed tests that had unrecognized fieldnames for nc_addvar.

* Wed Sep 06 2006 John Evans <john.g.evans.ne@gmail.com> 
- nc_add_dimension tests put into their own functions.  Many rewritten.
- Renamed test_nc_varput.m and test_nc_attget.m.
- Removed spurious test_nc_native_varget.m from the distribution.
- Put some sanity back into the test numbering for test_nc_attget_attput

* Thu Aug 31 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.3
- Fixed import error for java backend.
- Added minimal testing for nc_cat_a.m

* Wed Aug 30 2006 John Evans <john.g.evans.ne@gmail.com> 
- More instructions for java backend.

* Tue Aug 29 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.2
- Made changes suggested by mlint.

* Mon Aug 28 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.1
- Updated Contents.m

* Mon Aug 27 2006 John Evans <john.g.evans.ne@gmail.com> 2.3.0
- Reintroduced java backend into m-files that read.  No write support.  
- Removed mexnc dependency from nc_addhist.m
- Added nc_create_empty m-file
- Fixed nc_varget, case of scale_factor without an add_offset.

* Thu Aug 17 2006 John Evans <john.g.evans.ne@gmail.com> 2.2.3
- Fixed case of not checking return status properly in nc_addvar
- Added test for bad return status in nc_addvar

* Thu Aug 10 2006 John Evans <john.g.evans.ne@gmail.com> 2.2.2
- Fixed SVN banners in a few m-files.
- Fixed another corner case in nc_addnewrecs

* Thu Aug 10 2006 John Evans <john.g.evans.ne@gmail.com> 2.2.1
- Added nc_cat_a m-file.
- Fixed case of single record 1D variable in nc_addnewrecs.

* Wed Aug 09 2006 John Evans <john.g.evans.ne@gmail.com> 2.2.0
- Removed java and loaddap backends.

* Thu Aug 03 2006 John Evans <john.g.evans.ne@gmail.com> 
- Fixed leading singleton dimension issue for nc_addnewrecs

* Wed Aug 02 2006 John Evans <john.g.evans.ne@gmail.com> 
- New method for determining how to retrieve from opendap datasets.

* Tue Jul 25 2006 John Evans <john.g.evans.ne@gmail.com> 2.1.4
- Had forgotten to remove all instances of "handle_error".
- Had forgotten to remove nc_native_varget.m

* Thu Jul 20 2006 John Evans <john.g.evans.ne@gmail.com> 2.1.3
- top-level nc_get_attribute_struct.m m-file was removed
- Fixed README to reflect the default opendap setting.

* Wed Jul 19 2006 John Evans <john.g.evans.ne@gmail.com> 2.1.2
- Default method for accessing opendap URLs is set back to mexnc.

* Mon Jul 17 2006 John Evans <john.g.evans.ne@gmail.com> 2.1.1
- Scale factor, add offset, fill value fix for java part of nc_varget
- Documentation fix for nc_info

* Mon Jul 17 2006 John Evans <john.g.evans.ne@gmail.com> 2.1.0
- Replaced CVS keyword expansions with subversion keyword expansions.

* Tue Jul 11 2006 John Evans <john.g.evans.ne@gmail.com> 
- Most m-files no longer returning a status parameter.
- Using exceptions in most m-files.
- Java support for opendap urls.
- Loaddap support for opendap urls.

* Wed May 31 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.22
- Fixed bad name in nc_padheader documentation.
- Improved error checking in nc_padheader.

* Wed May 24 2006 John Evans <john.g.evans.ne@gmail.com>  
- Added nc_padheader to Contents.m

* Tue May 23 2006 John Evans <john.g.evans.ne@gmail.com>  2.0.21
- Added new m-file, nc_padheader

* Tue Apr 25 2006 John Evans <john.g.evans.ne@gmail.com> 
- Clean up of several m-files as suggested by mlint.

* Thu Apr 06 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.20
- nc_varget reverts back to GET_VAR1 for singletons, opendap workaround

* Tue Mar 28 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.19
- Better error message if OPEN fails in nc_addhist.
- Better check on rank of input data vs netcdf variable, nc_varput.
- Malformed sprintf in nc_getall in case of an error.

* Wed Mar 22 2006 John Evans <john.g.evans.ne@gmail.com> 
- nc_getvarinfo had a bad error message construction

* Fri Mar 17 2006 John Evans <john.g.evans.ne@gmail.com> 
- nc_addvar now allows numeric Nctype (Brian Powell)

* Thu Mar 09 2006 John Evans <john.g.evans.ne@gmail.com> 
- Suppressing error message in nc_addhist if no existing history att.
- Explicit dimensionality check in nc_varput.
- Removed unused unlimited dimension check in nc_varput.

* Thu Mar 02 2006 John Evans <john.g.evans.ne@gmail.com> 
- checks in nc_varget for start, count, stride agreeing with the dims

* Tue Mar 01 2006 John Evans <john.g.evans.ne@gmail.com> 
- nc_varget retrieves singletons using GET_VAR, requires mexnc >= 2.0.17

* Sat Feb 11 2006 John Evans <john.g.evans.ne@gmail.com> 
- Fixed bad error message in nc_attput in case of unhandled datatype

* Wed Jan 25 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.18
- Fixed documentation errors in nc_varput, nc_addvar.
- Removed NEWS file, it wasn't being updated anyway.
- Revamped the README file.

* Tue Jan 24 2006 John Evans <john.g.evans.ne@gmail.com> 
- Fixed exception handling issue in nc_varget

* Thu Jan 19 2006 John Evans <john.g.evans.ne@gmail.com> 
- Changed to formal ChangeLog format.
- Change 'write' mode to nc_write_mode in nc_addvar.

* Sat Dec 17 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.17
- The help section for nc_varget was broken, missing a crucial %.

* Fri Oct 28 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.16
- Fixed up error messages in test suite routine test_nc_attget.m.
- Renamed nc2mat.m to snc2mat.m, avoids namespace clash with netcdftbx.
- Renamed the test suite m-file "test_nc2mat.m" to "test_snc2mat.m".
- Test suite runs on mexnc versions 2.0.{6,9,11,13,14}.

* Thu Aug 04 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.15
- Where possible, all m-files can now throw exceptions.
	
* Thu Jul 21 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.14
- Removed some more netcdf-2 calls.
- Removed setops call from nc_varget.
- nc_varget.m can throw exceptions now.
- Removed all help statements. 
- Added some more input argument type checking where needed.

* Wed Jun 22 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.13
- Removed calls to SETOPTS.  Aiming for no netcdf-2 code.
- Status checks in nc_attget, nc_attput, checking for zero or not.
- Precision of attribute values was improved in nc_dump.m. 
- Fixed error check on open statement in nc_varput.m
- Fixed help section on nc_info.m.  
- Added "IsUnlimitedVariable" field to nc_info.m help section.
- README updates.
- Added typechecking for ncfile.

* Wed Apr 20 2005 John Evans <johnevans@acm.org> 2.0.12
- No apparent change, can't figure out what this release was for.

* Thu Apr 14 2005 John Evans <johnevans@acm.org> 2.0.11
- Added m-file nc_add_dimension.
- Fixed character datatypes and fill values nc_varget bug.
- Test suite improvements.
- Fixed scaling and fill value bug in nc_native_varget.
- Removed nc_varget_e.m because it really doesn't add much.
- Minor fixes to nc_getall, nc2mat, nc_dump.  

* Thu Mar 17 2005 John Evans <johnevans@acm.org> 2.0.10
- Removed nc_write_ts_buffer_endoffset.m from the distribution.
- Rewrote nc_native_varget so that it uses nc_varget.
- Added a new test for scaling in test_nc_varput.m
- Fixed nc_info problem with the OPEN statement.
- Fixed scaling problem in nc_varput.m
- nc_addnewrecs needed replacement for nc_getvarnames functionality.
- Code to check attributes in nc_diff with '-attributes' argument.
- Added nc_varget_e.m m-file.
- Removed nc_get_ts_buffer.m
- Subsumed nc_get_ts_buffer into nc_getbuffer.  
- Removed nc_get_file_last.
- Removed nc_varnames.m.
- Added new m-file, nc_getdiminfo.  Uses code from nc_info.m.
- Massive rewrite to nc_iscoordvar, makes use of nc_getvarinfo now.
- Removed nc_istsvar.m.
- Fixed incompatibility of nc_addvar with nc_info.

* Mon Mar 07 2005 John Evans <johnevans@acm.org> 2.0.9
- Changed file creation code in nc_varput.m test.
- Fixed problem with nc_diff.
- Removed nc_rename.m
- nc_varrename.m:  cdfid ==> ncid
- nc_isvar.m:  cdfid ==> ncid, return logic problem
- Rewrite of nc_add_recs.m.  Got rid of record_variable name input.
- Added new function nc_addnewrecs, replaces nc_archive_buffer.
- Rewired nc_archive_buffer to do nothing but call nc_addnewrecs.m
- Cleaned up the status checks in nc_attget.m.  
- Added check for unrecognized data type in nc_attget.  
- Added new return value in nc_attget if attribute is not found.
- Suppressed the error message in nc_attget.
- Added the banner for all m-files. 
- Better error messages for nc_addvar.  Checks for required fields.
- nc_add_recs changed to netcdf-3 api.
- Cleaned up the help section in nc_istsvar.m
- nc_addhist now appends rather than prepends.
- Added character datasets to nc_varget capability.
- Removed exceptions from nc2mat
- Tests for nc_diff, nc_archive_buffer, nc_attget, nc_addvar, nc2mat.
	
* Sat Feb 26 2005 John Evans <johnevans@acm.org> 2.0.8
- Started testing for nc_varput.m
- Fixed indexing problem in nc_varput, case of "PUT_VAR1".
- Fixed return status problem with nc_varput.m
	
* Fri Feb 25 2005 John Evans <johnevans@acm.org> 2.0.7
- Added Name CVS tag to all routines.
- Replaced all remaining calls of ncmex to mexnc.

* Tue Feb 22 2005 John Evans <johnevans@acm.org> 2.0.6
- Relaxed the same-name limitation in nc_add_recs and nc_archive_buffer
- Removed all ncmex calls from nc_write_ts_buffer_endoffset.
- Removed all ncmex calls from nc_varsize.
- Added nc_isunlimitedvar m-file.
- Updated nc_varrename.m with mexnc(netcdf-3) routines 

* Wed Jan 19 2005 John Evans <johnevans@acm.org> 2.0.5
- Added nc_native_varget.m routine.  
- Removing optional argument in nc_varget that was introduced in 2.0.2

* Fri Jan 14 2005 John Evans <johnevans@acm.org> 2.0.4
- Added IsUnlimitedVariable flag to nc_getvarinfo.
- Fixed char datatype problems in nc_varget.

* Wed Jan 12 2005 John Evans <johnevans@acm.org> 2.0.3
- All mexncdf53 calls changed to mexnc.

* Wed Jan 05 John Evans <johnevans@acm.org> 2.0.2
- Fixed nc_varput typo for add_offset and scale_factor attributes.
- Fixed NaN issue with non-floating point datatypes in nc_varput.
- Optional casting argument for nc_varget.

* Fri Dec 31 John Evans <johnevans@acm.org> 2.0.1
- Fixed return status problem with nc_varget.m

* Thu Dec 16 John Evans <johnevans@acm.org> 2.0.0
- Added nc_addhist.
- Using schar for retrieval of NC_BYTE data.
- nc_attput, nc_varput, nc_attget, nc_varget modified for netcdf-3

* Sat Nov 27 John Evans <johnevans@acm.org> 1.0.2
- Return status fix.

* Thu Nov 18 John Evans <johnevans@acm.org> 1.0.1
- nc_varget was improperly checking for improper data extents. 
- CVS Id keywords added to the headers of all m-files.
- nc_info: Changed Attributes to Attribute.
- nc_info: global attribute structure now initially set to [] 
- nc_info:  Added "Record_Dimension" boolean to Dimension fields.
- Removed duplicated code in nc_getvarinfo and nc_get_attribute_struct.
- nc_info returning [] if mexcdf cannot open the file.
- nc_dump checking for [] return argument from nc_info
- Changed nc_dump to reflect DataSetAttributes/Attributes changes.
- nc_get_ts_buffer rewritten so as to only rely upon snctools itself
- Fixes to attribute handling in nc_getvarinfo.
- Fixed singlton variable dimension handling in nc_getvarinfo.
- Fixed problem with nc_getvarinfo function name.
- Brought nc_getvarinfo into sync with nc_info


* Thu Sep 09 John Evans <johnevans@acm.org> 1.0.0
- Initial code import.
